Modules/Page/Routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use Illuminate\Support\Facades\Route;

Route::group(["prefix"=>config('cms.prefix-admin'),"middleware"=>["auth:web"]],function() {
    Route::resource('/pages', 'PageController')->only('create','store','destroy','update','index','edit');

    Route::group(["prefix"=>'search', "middleware" => ["auth:web"]], function () {
        Route::post('/pages', 'PageController@search')->name('search.page');
    });

});

Modules/Page/Resources/views/pages/create.blade.php
@extends('core::layout.panel')
@section('pageTitle', __('cms.create'))
@section('content')
    <div class="padding">
        <div class="row">
            <div class="col-md-12">
                <div class="box">
                    <div class="box-header">
                        <h2>{{__('cms.create')}} </h2>
                        <small>
                            {{__('page::pages.text-create')}}
                        </small>
                    </div>
                    <div class="box-divider m-a-0"></div>
                    <div class="box-body">
@include('core::layout.alert-danger')
                        <form id="signupForm" role="form" method="post" action="{{route('pages.store')}}" enctype="multipart/form-data">
                            @csrf
                            <div class="form-group row">
                                <div class="col-sm-3">
                                    <span class="text-danger">*</span>
                                    <label for="title" class="form-control-label">{{__('cms.title')}} </label>
                                    <input type="text" name="title" class="form-control" id="title" required>
                                </div>
                                <div class="col-sm-3">
                                    <label for="title" class="form-control-label">{{__('cms.thumbnail')}}  </label>
                                    @include('core::layout.load-single-image')
                                </div>


                            </div>
                            <div class="form-group row">
                                <span class="text-danger">*</span>
                                <label for="text" class="form-control-label">{{__('cms.text')}} </label>

                                <div class="box m-b-md">
                                    <div class="box m-b-md">
                                        @include('core::layout.text-editor',['item'=>null])
                                    </div>
                                </div>
                            </div>

                            <div class="form-group row">
                                <div class="col-sm-12">
                                    <span class="text-danger">*</span>
                                    <label for="excerpt" class="form-control-label">{{__('cms.excerpt')}} </label>
                                    <input type="text" name="excerpt" class="form-control" id="excerpt" autocomplete="off" required>
                                </div>


                            </div>

                            @include('core::layout.modules.seo-box',['seo'=>null])
                            <div class="form-group row m-t-md">
                                <div class="col-sm-12">
                                    <button type="submit" class="btn btn-primary btn-sm text-sm">{{__('cms.add')}} </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection


@section('heads')

    <link href="{{asset('assets/css/validate/screen.css')}}" rel="stylesheet"/>

@endsection()

@section('scripts')


    <script src="{{asset('assets/scripts/validate/jquery.validate.js')}}"></script>


    <script>
        $().ready(function() {

            // validate signup form on keyup and submit
            $("#signupForm").validate({
                rules: {
                    title: {
                        required: true
                    },
                    href: {
                        required: true
                    },
                    text: {
                        required: true
                    },
                    excerpt: {
                        required: true
                    },

                },
                messages: {
                    title:"عنوان الزامی است",
                    href:"آدرس الزامی است",
                    text: "متن  لزامی است",
                    excerpt: "خلاصه   الزامی است",
                }
            });


            //code to hide topic selection, disable for demo
            var newsletter = $("#newsletter");
            // newsletter topics are optional, hide at first
            var inital = newsletter.is(":checked");
            var topics = $("#newsletter_topics")[inital ? "removeClass" : "addClass"]("gray");
            var topicInputs = topics.find("input").attr("disabled", !inital);
            // show when newsletter is checked
            newsletter.click(function() {
                topics[this.checked ? "removeClass" : "addClass"]("gray");
                topicInputs.attr("disabled", !this.checked);
            });
        });
    </script>

@endsection

Modules/Page/Resources/views/pages/edit.blade.php
@extends('core::layout.panel')
@section('pageTitle', __('cms.edit'))
@section('content')
    <div class="padding">
        <div class="row">
            <div class="col-md-12">
                <div class="box p-a-xs">
                    <div class="row">
                        <div class="col-md-5">
                            <a href="#">
                                @if(!$item->Hasmedia('images'))
                                    <img style="width: 400px;height: auto" src="{{asset('img/no-img.gif')}}" alt="" class="img-responsive">


                                @else
                                    <img style="width: 400px;height: auto" src="{{$item->getFirstMediaUrl('images')}}" alt="" class="img-responsive">


                                @endif


                            </a>
                        </div>
                        <div class="col-md-7">
                            <div style="padding-top: 35px">
                                <h6 style="padding-top: 35px"> {{__('cms.subject')}} : </h6>
                                <h4 style="padding-top: 35px">    {{$item->title}}</h4>
                            </div>
                            <div>
                                <h6 style="padding-top: 35px"> {{__('cms.excerpt')}} : </h6>
                                <p>    {{$item->excerpt}}</p>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="box">
                    @include('core::layout.alert-danger')
                    <div class="box-header">
                        <div class="pull-left">

                            <small>
                                {{__('page::pages.text-edit')}}
                            </small>
                        </div>
                        <a onclick="window.print()" class="btn btn-primary btn-sm text-sm text-white pull-right">{{__('cms.print')}} </a>
                    </div>
                    <br>
                    <br>
                    <div class="box-divider m-a-0"></div>
                    <div class="box-body">
                        <form id="signupForm"  action="{{route('pages.update', ['page' => $item->token])}}" method="POST" enctype="multipart/form-data">
                            {{csrf_field()}}
                            <input type="hidden" value="{{$item->token}}" name="token">
                            {{method_field('PATCH')}}
                        <div class="form-group row">
                            <div class="col-sm-3">
                                <span class="text-danger">*</span>
                                <label for="title" class="form-control-label">{{__('cms.title')}} </label>
                                <input type="text" value="{{$item->title}}" name="title" class="form-control" id="title" required>
                            </div>
                            <div class="col-sm-3">
                                <label for="title" class="form-control-label">{{__('cms.thumbnail')}} </label>
                                @include('core::layout.load-single-image')
                            </div>

                        </div>
                            <div class="form-group row">
                                <span class="text-danger">*</span>
                                <label for="text" class="form-control-label">{{__('cms.text')}} </label>
                                <div class="box m-b-md">
                                    <div class="box m-b-md">
                                        @include('core::layout.text-editor',['item'=>$item->text])
                                    </div>
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="col-sm-12">
                                    <span class="text-danger">*</span>
                                    <label for="excerpt" class="form-control-label">{{__('cms.excerpt')}} </label>
                                    <input type="text" value="{{$item->excerpt}}" name="excerpt" class="form-control" id="excerpt" autocomplete="off" required>
                                </div>


                            </div>

                            @include('core::layout.modules.seo-box',['seo'=>$item->seo])

                            <div class="form-group row m-t-md">
                                <div class="col-sm-12">
                                    <input type="submit"  class="btn btn-success btn-sm text-sm" value="{{__('cms.update')}}">
                                </div>
                            </div>
                        </form>

                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection




@section('heads')

    <link href="{{asset('assets/css/validate/screen.css')}}" rel="stylesheet"/>

@endsection()

@section('scripts')


    <script src="{{asset('assets/scripts/validate/jquery.validate.js')}}"></script>


    <script>
        $().ready(function() {

            // validate signup form on keyup and submit
            $("#signupForm").validate({
                rules: {
                    title: {
                        required: true
                    },
                    text: {
                        required: true
                    },
                    excerpt: {
                        required: true
                    },

                },
                messages: {
                    title:"عنوان الزامی است",
                    text: "متن  لزامی است",
                    excerpt: "خلاصه   الزامی است",
                }
            });


            //code to hide topic selection, disable for demo
            var newsletter = $("#newsletter");
            // newsletter topics are optional, hide at first
            var inital = newsletter.is(":checked");
            var topics = $("#newsletter_topics")[inital ? "removeClass" : "addClass"]("gray");
            var topicInputs = topics.find("input").attr("disabled", !inital);
            // show when newsletter is checked
            newsletter.click(function() {
                topics[this.checked ? "removeClass" : "addClass"]("gray");
                topicInputs.attr("disabled", !this.checked);
            });
        });
    </script>

@endsection

Modules/Page/Resources/views/pages/index.blade.php
@include('core::layout.modules.index',[

    'title'=>__('page::pages.index'),
    'items'=>$items,
    'parent'=>'page',
    'model'=>'page',
    'directory'=>'pages',
    'collect'=>__('page::pages.collect'),
    'singular'=>__('page::pages.singular'),
    'create_route'=>['name'=>'pages.create'],
    'edit_route'=>['name'=>'pages.edit','name_param'=>'page'],
    'destroy_route'=>['name'=>'pages.destroy','name_param'=>'page'],
     'search_route'=>true,
         'setting_route'=>true,
        'datatable'=>[__('cms.thumbnail')=>'thumbnail',
    __('cms.title')=>'title',
    __('cms.slug')=>'slug',
    __('cms.href')=>'href',
          __('cms.update_date')=>'AgoTimeUpdate',
    __('cms.create_date')=>'TimeCreate',
    ],
        'detail_data'=>[__('cms.thumbnail')=>'thumbnail',
    __('cms.title')=>'title',
    __('cms.slug')=>'slug',
         __('cms.href')=>'href',
        __('cms.create_date')=>'created_at',
    __('cms.update_date')=>'updated_at',
    ],

])

Modules/Page/Resources/views/pages/nav.blade.php
    <li>
        <a href="{{route('pages.index')}}" class="b-success">
                              <span class="nav-icon text-white no-fade">
                                <i class="material-icons">{{config('page.icons.page')}}</i>
                              </span>
            <span class="nav-text"> {{__('page::pages.collect')}}</span>
        </a>
    </li>

Modules/Page/Resources/views/pages/search.blade.php
<div class="row">
    <div class="col-md-12">
        <div class="box">
            <div class="box-header">
                <h2>{{__('cms.search')}} </h2>

            </div>
            <div class="box-divider m-a-0"></div>
            <div class="box-body">
                @include('core::layout.alert-danger')
                <form role="form" method="post" action="{{route('search.page')}}" enctype="multipart/form-data">
                    @csrf
                    <div class="form-group row">

                        <div class="col-sm-3">
                            <label for="title" class="form-control-label">{{__('cms.title')}}  </label>
                            <input type="text" value="{{isset($request->title) ? $request->title : ""}}" name="title" class="form-control" id="last_name" >
                        </div>


                    </div>

                    <div class="form-group row m-t-md">
                        <div class="col-sm-12">
                            <button type="submit" class="btn btn-primary btn-sm text-sm">{{__('cms.search')}} </button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

Modules/Page/Resources/views/pages/show.blade.php
@extends('core::layout.panel')
@section('pageTitle', 'جزییات')
@section('content')
    <div class="padding">
        <div class="row">
            <div class="col-md-12">
                <div class="box">
                    <div class="box-header">
                        <div class="pull-left">
                            <h2> عنوان {{$item->title}}</h2>
                            <small>توضیحات </small>
                        </div>
                        <a onclick="window.print()" class="btn btn-primary btn-sm text-sm text-white pull-right">چاپ </a>
                    </div>
                    <br>
                    <br>
                    <div class="box-divider m-a-0"></div>
                    <div class="box-body">
                        <div class="form-group row">
                            <div class="col-sm-4">
                                <label for="title" class="form-control-label">عنوان :  </label>
                                <span>{{$item->title}}</span>
                            </div>

                            <div class="col-sm-4">
                                <label for="excerpt" class="form-control-label">توضیح مختصر : </label>
                                <span>{{$item->excerpt}}</span>
                            </div>
                            <div class="col-sm-4">
                                <label for="time" class="form-control-label">زمان انتشار  : </label>
                                <span>{{$item->created_at->ago()}}</span>
                            </div>
                        </div>
                        <div class="form-group row">

                            <div class="col-sm-12">
                                <label for="text" class="form-control-label">متن :  </label>
                                <br>
                                <span>{!! $item->text !!}</span>
                            </div>

                        </div>


                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection